From af28b78b8e659f995b39a5dde2ce2cef0da9fbe0 Mon Sep 17 00:00:00 2001
From: William Harrington <kb0iic@berzerkula.org>
Date: Tue, 6 Apr 2021 14:09:59 -0500
Subject: Add chapter8 script commands.

---
 chapter8/binutils.sh | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

(limited to 'chapter8/binutils.sh')

diff --git a/chapter8/binutils.sh b/chapter8/binutils.sh
index 7a693aa..41a99b1 100644
--- a/chapter8/binutils.sh
+++ b/chapter8/binutils.sh
@@ -1,3 +1,23 @@
 #!/bin/bash
 
+expect -c "spawn ls"
 
+sed -i '/@\tincremental_copy/d' gold/testsuite/Makefile.in
+
+mkdir -v build
+cd build || exit 1
+
+../configure --prefix=/usr \
+             --enable-gold \
+             --enable-ld=default \
+             --enable-plugins \
+             --enable-shared \
+             --disable-werror \
+             --enable-64-bit-bfd \
+             --with-system-zlib
+
+make tooldir=/usr
+
+make tooldir=/usr -j1 install
+
+rm -fv /usr/lib/lib{bfd,ctf,ctf-nobfd,opcodes}.a
-- 
cgit v1.2.3-54-g00ecf